Bug 494895 - Please build Asterisk 1.6.0.9
Please build Asterisk 1.6.0.9
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: asterisk (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-08 11:10 EDT by Bob Gustafson
Modified: 2009-07-14 11:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:28:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Gustafson 2009-04-08 11:10:28 EDT
Description of problem:
The current version of Asterisk (1.6.0.3) in the Fedora 9 (and probably 10) distribution suffers from a bug that causes 10+/second packet flow from a remote Asterisk IAX box. See description of problem below (fixed in 1.6.0.9 which is available)

2009-03-11 17:37 +0000 [r181372]  David Vossel <dvossel@digium.com>

        * channels/iax2-parser.h, /, channels/chan_iax2.c: Merged revisions
          181371 via svnmerge from
          https://origsvn.digium.com/svn/asterisk/trunk ................
          r181371 | dvossel | 2009-03-11 12:34:57 -0500 (Wed, 11 Mar 2009)
          | 17 lines Merged revisions 181340 via svnmerge from
          https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
          r181340 | dvossel | 2009-03-11 12:25:31 -0500 (Wed, 11 Mar 2009)
          | 11 lines encrypted IAX2 during packet loss causes decryption to
          fail on retransmitted frames If an iax channel is encrypted, and
          a retransmit frame is sent, that packet's iseqno is updated while
          it is encrypted. This causes the entire frame to be corrupted.
          When the corrupted frame is sent, the other side decrypts it and
          sends a VNAK back because the decrypted frame doesn't make any
          sense. When we get the VNAK, we look through the sent queue and
          send the same corrupted frame causing a loop. To fix this,
          encrypted frames requiring retransmission are decrypted, updated,
          then re-encrypted. Since key-rotation may change the key held by
          the pvt struct, the keys used for encryption/decryption are held
          within the iax_frame to guarantee they remain correct. (closes
          issue #14607) Reported by: stevenla Tested by: dvossel Review:
          http://reviewboard.digium.com/r/192/ ........ ................

Version-Release number of selected component (if applicable):

 Current version in Fedora distribution is 1.6.0.3
 Fixed version is 1.6.0.9

How reproducible:

 Whenever registration is requested from remote IAX2 box using md5 encryption of password. See above.

Steps to Reproduce:

1. Set up two Asterisk boxes using IAX2 protocol to communicate. Make one of these boxes use Asterisk 1.6.0.3 in Fedora distribution. Set up md5 authentication of password.

2. Configure 'other' box to register with Fedora box

3. Observe packet flood using Wireshark on Fedora box
  
Actual results:
 Flood of packets

Expected results:
 Occasional packets

Additional info:
Comment 1 Bug Zapper 2009-06-09 23:39:38 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 11:28:32 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.